Subject: Re: bug#67797: non-free license listed in module/ice-9/psyntax.scm

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 12 Dec 2023 15:50:01 -0500

Hi David,

"Thompson, David" <[email-masked]> writes:

> Hey Maxim,
>
> On Tue, Dec 12, 2023 at 10:53 AM Maxim Cournoyer
> <[email-masked]> wrote:
>>
>> Hello,
>>
>> In our syntax-case implementation, module/ice-9/psyntax.scm, the
>> following license text can be found:
>>
>> --8<---------------cut here---------------start------------->8---
>> ;;; Portable implementation of syntax-case
>> ;;; Originally extracted from Chez Scheme Version 5.9f
>> ;;; Authors: R. Kent Dybvig, Oscar Waddell, Bob Hieb, Carl Bruggeman
>>
>> ;;; Copyright (c) 1992-1997 Cadence Research Systems
>> ;;; Permission to copy this software, in whole or in part, to use this
>> ;;; software for any lawful purpose, and to redistribute this software
>> ;;; is granted subject to the restriction that all copies made of this
>> ;;; software must include this copyright notice in full.  This software
>> ;;; is provided AS IS, with NO WARRANTY, EITHER EXPRESS OR IMPLIED,
>> ;;; INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY
>> ;;; OR FITNESS FOR ANY PARTICULAR PURPOSE.  IN NO EVENT SHALL THE
>> ;;; AUTHORS BE LIABLE FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES OF ANY
>> ;;; NATURE WHATSOEVER.
>> --8<---------------cut here---------------end--------------->8---
>>
>> Due to restricting the use to "lawful purpose", it conflicts with the
>> (L)GPL, as it places restrictions on running the program.
>
> I don't think this is true. Surely if it was it never would have made
> it into Guile, right? I mean... this is GNU we're talking about here
> and psyntax has been around awhile! Having been immediately nerdsniped
> by this email, I had to quickly do some research.
>
> A 'git blame' dates the quoted license text back to 1998, commit
> a63812a2fef2f81b8c4eca04c858e42b62e455f9, by Jim Blandy.
>
> Commit message:
>
> Talked to Stallman.  Actually, the syntax-case copyright is no problem.  Duh.
> * Makefile.am (ice9_sources): Revert last change.
> * syncase.scm, psyntax.pp, psyntax.ss: Added again.
> * Makefile.in: Regeneretade.
>
> This confirms my hunch that there is no issue with the license.

That's great, but... why is it not a problem?  :-)

When we find out, we should add an explanation next to the license text,
why it's deemed alright.

-- 
Thanks,
Maxim